openSUSE Security Update : texlive (openSUSE-SU-2010:0251-1)

Medium Nessus Plugin ID 46344

Synopsis

The remote openSUSE host is missing a security update.

Description

Specially crafted dvi files could cause buffer overflows in dvips and dvipng (CVE-2010-0827, CVE-2010-0829, CVE-2010-0739, CVE-2010-1440).

Solution

Update the affected texlive packages.

See Also

http://lists.opensuse.org/opensuse-updates/2010-05/msg00015.html

https://bugzilla.novell.com/show_bug.cgi?id=587794

Plugin Details

Severity: Medium

ID: 46344

File Name: suse_11_2_texlive-100504.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2010/05/15

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:texlive, p-cpe:/a:novell:opensuse:texlive-arab, p-cpe:/a:novell:opensuse:texlive-bin, p-cpe:/a:novell:opensuse:texlive-cjk, p-cpe:/a:novell:opensuse:texlive-context, p-cpe:/a:novell:opensuse:texlive-devel, p-cpe:/a:novell:opensuse:texlive-dvilj, p-cpe:/a:novell:opensuse:texlive-jadetex, p-cpe:/a:novell:opensuse:texlive-latex, p-cpe:/a:novell:opensuse:texlive-metapost, p-cpe:/a:novell:opensuse:texlive-musictex, p-cpe:/a:novell:opensuse:texlive-nfs, p-cpe:/a:novell:opensuse:texlive-omega, p-cpe:/a:novell:opensuse:texlive-ppower4, p-cpe:/a:novell:opensuse:texlive-tex4ht, p-cpe:/a:novell:opensuse:texlive-tools, p-cpe:/a:novell:opensuse:texlive-xetex, p-cpe:/a:novell:opensuse:texlive-xmltex, cpe:/o:novell:opensuse:11.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2010/05/04

Reference Information

CVE: CVE-2010-0739, CVE-2010-0827, CVE-2010-0829, CVE-2010-1440